Bug 20215 - vacation utility does not work with RH6.2
Summary: vacation utility does not work with RH6.2
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Powertools
Classification: Retired
Component: vacation   
(Show other bugs)
Version: 6.2
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Ngo Than
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-11-02 15:19 UTC by David D. Johnson
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-06 17:50:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David D. Johnson 2000-11-02 15:19:52 UTC
I set up vacation according to the README files and man pages.
I added a link from /usr/bin/vacation to /etc/smrsh, and ran
vacation to set up the message and .forward files.  Also ran
vacation -I to initialize the database.

Result is that incoming messages are replied to with a completely
empty message (just headers).  The symptoms are that vacation closes
the pipe to sendmail and exits before sendmail has a chance to finish,
sendmail gets a broken pipe, and vacation gets a seg fault closing
a FILE pointer that was already closed.

The quick solution is to change vfork to fork.
The better solution would be to use popen("...sendmail", "w")
and pclose(), rather than pipe/fork/rearrange fds/fdopen/close.

Note: there is a newer source RPM in contrib/libc6 which has the same
problem with vfork, but has added code to ignore case when comparing
headers.

Comment 1 David D. Johnson 2000-11-02 15:24:56 UTC
Sorry, I didn't see the previous RESOLVED entry, but my comment about the
new contrib code still is valid.

Comment 2 Ngo Than 2000-11-10 14:08:42 UTC
as i known the 1.2.2 is the newest. you find it in 7.0


Note You need to log in before you can comment on or make changes to this bug.